DRM_FLIP_WORK_ALLOCA(9)

NAME
drm_flip_work_allocate_task - allocate a flip-work task

SYNOPSIS

struct drm_flip_task * drm_flip_work_allocate_task(void * data, gfp_t flags);

ARGUMENTS

data
    data associated to the task

flags
    allocator flags

DESCRIPTION

Allocate a drm_flip_task object and attach private data to it.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT